Package com.studica.frc

## Class TitanQuadEncoder

- java.lang.Object
- - com.studica.frc.TitanQuadEncoder

    public class TitanQuadEncoder
    extends java.lang.Object

TitanQuad Encoder class java documentation

### Constructor Summary

Constructors
`TitanQuadEncoder​(TitanQuad titan, int encoder, double distPerTick)` Initialize encoder

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getEncoderDistance​(int encoder)` Will give the distance traveled based on encoder data
`void` `resetEncoder​(int encoder)` Will reset the specified encoder and set its count value to 0

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanQuadEncoder

    public TitanQuadEncoder​(TitanQuad titan,
                            int encoder,
                            double distPerTick)

Initialize encoder

Parameters:
  `titan` - - TitanQuad to be set
  `encoder` - - encoder
  `distPerTick` - - distance per tick value

### Method Detail

#### getEncoderDistance

    public double getEncoderDistance​(int encoder)

Will give the distance traveled based on encoder data

Parameters:
  `encoder` - encoder to be used
Returns:
  distance traveled

#### resetEncoder

    public void resetEncoder​(int encoder)

Will reset the specified encoder and set its count value to 0

Parameters:
  `encoder` - the encoder to be reset